# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# Kate::Command Class Reference

Kate Commands. More...

`#include <document.h>`

Inheritance diagram for Kate::Command:

[legend]
List of all members.

## Public Member Functions

virtual QStringList | cmds ()=0
virtual bool | exec (View *view, const QString &cmd, QString &msg)=0
virtual bool | help (View *view, const QString &cmd, QString &msg)=0

## Detailed Description

Kate Commands.

Definition at line 96 of file document.h.

## Member Function Documentation

virtual QStringList Kate::Command::cmds | ( |  | ) | `[pure virtual]`

| Pure text start part of the commands which can be handled by this object which means i.e. for s/sdl/sdf/g => s or for char:1212 => char Implemented in KateCommands::CoreCommands, KateCommands::SedReplace, KateCommands::Character, and KateCommands::Date.

virtual bool Kate::Command::exec | ( | View * | view,
|  | const QString & | cmd,
|  | QString & | msg
| ) | `[pure virtual]`

| Execute this command for the given view and cmd string, return a bool about success, msg for status.

virtual bool Kate::Command::help | ( | View * | view,
|  | const QString & | cmd,
|  | QString & | msg
| ) | `[pure virtual]`

| Shows help for the given view and cmd string, return a bool about success, msg for status.

The documentation for this class was generated from the following file:

- document.h

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003